import UIKit

var items = [
    ["first" : "Billy", "last" : "Bogart", "address" : ["street" : "111 Main Street"]],
    ["first" : "Gary", "last" : "Gollum", "address" : ["street" : "2277 AB Street"]],
    ["first" : "David", "last" : "Dangerly", "address" : ["street" : "22311 Place Ave."]],
    ["first" : "Johnny", "last" : "Jones", "address" : ["street" : "10 Orange Rd."]]
]

var lastNames = items.map({$0["last"]! as String}) as [String]
lastNames.sort({$0 < $1})
lastNames

let oldLastNames = (items as NSArray).valueForKeyPath("last") as? NSArray
oldLastNames

var streetAddresses = items.map({ $0["address"]!["street"] as String})
//var streetAddresses = items.map({ $0["address"]?["street"] as? String})
streetAddresses

let oldStreetAddresses = (items as NSArray).valueForKeyPath("address.street") as NSArray
oldStreetAddresses


var fullNames = items.map({ ["full_name" : ($0["first"] as? String)! + " " + ($0["last"] as? String)!] })

fullNames




